// Class: Person (has name, age, gender)
// Kyoung Shin Park (Java Programming I)
public class Person {
    protected String name;
    protected int age;
    protected Gender gender;

    public Person() { 
		this("", 0, Gender.FEMALE); 
	}

    public Person(String name, int age, Gender gender) {
        this.name = name;
        this.age = age;
        this.gender = gender;
    }

    public void setName(String name) { 
		this.name = name; 
	}
    
	public void setAge(int age) { 
		this.age = age; 
	}
    
	public void setGender(Gender gender) { 
		this.gender = gender; 
	}

	public String getName() { 
		return name; 
	}

    public int getAge() { 
		return age; 
	}

    public Gender getGender() { 
		return gender; 
	}
    
    public void print() { 
		System.out.println(this); 
	}

    @Override public String toString() { 
		return "Person Name=" + name + " Age=" + age + " Gender=" + gender;
	}
}
