import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

//Class: BMICalculatorFrame
//Kyoung Shin Park (Java Programming I)
public class BMICalculatorFrame extends JFrame implements ActionListener, KeyListener {

	JLabel label1 = new JLabel(""); // ̺ ʱȭ
	JLabel label2 = new JLabel("Ű(cm)"); // ̺ ʱȭ
	JLabel label3 = new JLabel("(kg)"); // ̺ ʱȭ	
	JLabel label4 = new JLabel(""); // ̺ ʱȭ	
	JLabel label5 = new JLabel("Ȱ"); // ̺ ʱȭ	
	JTextField textfield1 = new JTextField(10); // age ؽƮʵ ʱȭ
	JTextField textfield2 = new JTextField(10); // height ؽƮʵ ʱȭ
	JTextField textfield3 = new JTextField(10); // weight ؽƮʵ ʱȭ
	JRadioButton rbutton1 = new JRadioButton("", true); // gender ư
	JRadioButton rbutton2 = new JRadioButton(""); // gender ư
	JComboBox<String> combobox1 = new JComboBox<String>(Activity.names()); // acitivity ޺ڽ

	JButton button1 = new JButton(""); // bmi calculator ư ʱȭ

	JLabel label6 = new JLabel("BMI "); // ̺ ʱȭ
	JLabel label7 = new JLabel(" "); // ̺ ʱȭ
	JLabel label8 = new JLabel(" Įθ뷮"); // ̺ ʱȭ	
	JTextField textfield4 = new JTextField(10); // bmi ؽƮʵ ʱȭ
	JTextField textfield5 = new JTextField(10); // standard weight ؽƮʵ ʱȭ
	JTextField textfield6 = new JTextField(10); // dailry calory intake ؽƮʵ ʱȭ
	
	JPanel panel = new JPanel(); // г ʱȭ
	JPanel panel1 = new JPanel(new GridLayout(0, 2)); // г ʱȭ
	JPanel panel2 = new JPanel(new GridLayout(0, 2)); // г ʱȭ
	JPanel panel3 = new JPanel(new GridLayout(0, 2)); // г ʱȭ
	JPanel panel4 = new JPanel(new GridLayout(0, 2)); // г ʱȭ
	JPanel panel5 = new JPanel(); // г ʱȭ
	JPanel panel6 = new JPanel(new GridLayout(0, 2)); // г ʱȭ
	JPanel panel7 = new JPanel(); // г ʱȭ
	JPanel panel8 = new JPanel(new GridLayout(0, 2)); // г ʱȭ
	JPanel panel9 = new JPanel(new GridLayout(0, 2)); // г ʱȭ
	JPanel panel10 = new JPanel(new GridLayout(0, 2)); // г ʱȭ
	
	BMICalculator calculator = new BMICalculator();

	public BMICalculatorFrame() {
		super("BMICalculatorFrame");
		
		// frame
		panel1.add(label1);
		panel1.add(textfield1);

		panel2.add(label2);
		panel2.add(textfield2);

		panel3.add(label3);
		panel3.add(textfield3);

		panel5.add(rbutton1);
		panel5.add(rbutton2);
		panel4.add(label4);
		panel4.add(panel5);

		panel6.add(label5);
		panel6.add(combobox1);

		panel7.add(button1);

		panel8.add(label6);
		panel8.add(textfield4);

		panel9.add(label7);
		panel9.add(textfield5);

		panel10.add(label8);
		panel10.add(textfield6);

		panel.add(panel1);
		panel.add(panel2);
		panel.add(panel3);
		panel.add(panel4);
		panel.add(panel6);
		panel.add(panel7);
		panel.add(panel8);
		panel.add(panel9);
		panel.add(panel10);
		add(panel);
		
		// event
		textfield1.addKeyListener(this);
		textfield2.addKeyListener(this);
		textfield3.addKeyListener(this);
		button1.addActionListener(this);
    
		setSize(350, 300);
		setResizable(false);
		setVisible(true);        
        
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

	private Gender selectGender() {
		if (rbutton1.isSelected()) {
			return Gender.FEMALE;
		}
		return Gender.MALE;
    }

	private Activity selectActivity() {
		return Activity.valueOf(combobox1.getSelectedIndex());
    }

	private void calculateStandardWeightAndBMI() {
        calculator.age = Integer.parseInt(textfield1.getText());
        calculator.height = Double.parseDouble(textfield2.getText());
        calculator.weight = Double.parseDouble(textfield3.getText());
        calculator.gender = selectGender();
        calculator.activity = selectActivity();
        System.out.println("age=" + calculator.age);
        System.out.println("height=" + calculator.height);
        System.out.println("weight=" + calculator.weight);
        System.out.println("gender=" + calculator.gender);
        System.out.println("activity=" + calculator.activity);
        BMI bmi = calculator.calculateBMI();
        double sw = calculator.calculateStandardWeight();
        double dailyIntake = calculator.calculateDailyCaloryIntake();
        textfield4.setText("" + bmi);
        textfield5.setText("" + sw);
        textfield6.setText("" + dailyIntake);
    }

	public void actionPerformed(ActionEvent e) {
		JButton button = (JButton) e.getSource();
		if (button == button1) {
			calculateStandardWeightAndBMI(); // 
		}
	}
    
	public void keyTyped(KeyEvent e) {}
	public void keyReleased(KeyEvent e) {}
	public void keyPressed(KeyEvent e) {
		int key = e.getKeyCode();
		if (key == KeyEvent.VK_ENTER) {
    		Toolkit.getDefaultToolkit().beep(); 
    		System.out.println("ENTER pressed");
			calculateStandardWeightAndBMI(); // 
   		}
	}

	public static void main(String[] args) {
		new BMICalculatorFrame();
	}
}