// Enum: Gender
// Kyoung Shin Park (Java Programming I)
public enum Gender {
	FEMALE, MALE;

	public static Gender valueOf(int value) {
		switch (value) { // switch
		case 1: return FEMALE;
		case 2: return MALE;
		default: return null;
		}
	}
	
	public static String[] names() {
		String[] names = new String[Gender.values().length];
		for (Gender t : Gender.values()) 
			names[t.ordinal()] = t.toString();
		return names;
	}
}
